<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <title>FHIRFlies</title>
  <link href="tailwind.min.css" rel="stylesheet">
  <script src="axios.min.js"></script>
  <script>
    window.onload = getParms;

    function getParms() {
      const params = new URLSearchParams(window.location.search);
      const patientID = params.get('patientID');
      document.getElementById("patientID").value = patientID;
      getEncounters(patientID);
    }

    function getEncounters(patientID) {
      axios.get("https://jtdzw8lp-94315.interopland.com/independent-primary-network/fhir/Encounter?patient=" + patientID + "&_include=Encounter:patient&_pretty=true", {
        auth: {
          username: 'interop_pit',
          password: 'gviVNTxm3YRIx6Zc8T5s2zBaiBzoE5rUQsVD'
        }
      })
        .then(response => {
          var result = response.data;
          console.log(result);

          var mainContainer = document.getElementById("myData");
          mainContainer.innerHTML = "<thead class='font-semibold bg-blue-500 text-white'><tr><td class='px-2'>ID</td><td class='px-2'>Status</td><td class='px-2'>Class</td><td class='px-2'>Subject</td><td class='px-2'>Service Provider</td></tr></thead>";

          for (var i = 0; i < result.entry.length; i++) {
            var tr = document.createElement("tr");
            tr.innerHTML = tr.innerHTML + "<td class='px-2 border-b border-gray-500 hover:underline text-blue-800'><a href='encounter-details.html?patientID=" + document.getElementById("patientID").value + "&encounterID=" + result.entry[i].resource.id + "'>" + result.entry[i].resource.id + '</a></td>';
            tr.innerHTML = tr.innerHTML + "<td class='px-2 border-b border-gray-500'>" + result.entry[i].resource.status + '</td>';
            tr.innerHTML = tr.innerHTML + "<td class='px-2 border-b border-gray-500'>" + result.entry[i].resource.class.display + '</td>';
            tr.innerHTML = tr.innerHTML + "<td class='px-2 border-b border-gray-500'>" + result.entry[i].resource.subject.display + '</td>';
            tr.innerHTML = tr.innerHTML + "<td class='px-2 border-b border-gray-500'>" + result.entry[i].resource.serviceProvider.display + '</td>';
            mainContainer.appendChild(tr);
          }
        })
        .catch(error => console.error(error));
    }

  </script>
</head>

<body class="m-4 bg-gray-300 text-gray-700 text-lg">
  <div class="grid grid-rows-1 grid-flow-col justify-center">
    <div><img class="h-12" src="logo.png"></div>
    <div class="text-4xl font-bold px-4">FHIRFlies Case Transparency App</div>
  </div>

  <div class="grid p-2 text-3xl font-semibold">
    <h2>Patient Encounters</h2>
  </div>

  <div class="flex flex-nowrap items-center p-2 text-lg">
    <div class="font-semibold">Patient/Member ID</div>
    <div class="px-2 focus:ring focus:border-blue-300"><input type="text" id="patientID" value="SarahThompson"></div>
    <div> <button class="bg-blue-500 hover:bg-blue-700 text-white font-semibold py-1 px-2 rounded" type="submit"
        onclick="getEncounters(document.getElementById('patientID').value);">Get Encounters</button></div>
  </div>

  <div class="p-2">
    <table id="myData" class="auto border border-gray-500">
      <tbody></tbody>
    </table>
  </div>
 
    <div class="px-2 focus:ring focus:border-blue-300"></div>
    <p>Cancelled Status represents the Rejected status.</p>
    <p>Finished Status represents the Accepted status.</p>
  

</body>

</html>